%Muon life time determination with muon telescop
%Author: Khodnevych Vitalii
%for tqfp.org
%%
%Input format
%Theta=[0, 30, 45, 90]; -- angles at which measurmets was made
%Counts=[22,9,7,1]; -- number of coincidence events
 Theta=[0,15, 30, 45, 90]; 
 Counts=[20,23,9,7,1];
%%
d0=(Theta==0);
d90=(Theta==90);
N0=Counts(d90);%find background event
Counts=Counts-N0;%subtract background
N1=Counts(d0).*(cos(Theta./180*pi).^1.6);% take in acccount ionisation losses 
t0=1.04e-6*(1-cos(Theta(~(d0+d90))./180*pi))./log(N1(~(d0+d90))./Counts(~(d0+d90)));%life time from different angles
tm=mean(t0(t0>0))%mean life time

